/**
 * 
 */
package edu.cmu.radar.dynaweb.actions;

import java.util.LinkedList;
import java.util.List;

import edu.cmu.radar.dynaweb.entities.LocationCapacity;

/**
 * @author Jialiang
 * 
 * LocationBean maintains a sorted list of capacities
 */
public class Room {
	private String name;
	
	/**
	 * a sorted capacity list
	 * */
	private List<LocationCapacity> capacities = new LinkedList<LocationCapacity>();

	public Room(String name) {
		this.name = name;
	}

	/**
	 * @return the capacities
	 */
	public List<LocationCapacity> getCapacities() {
		return capacities;
	}

	/**
	 * @param capacities
	 *            the capacities to set
	 */
	public void setCapacities(List<LocationCapacity> capacities) {
		this.capacities = capacities;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return name;
	}
	
	
}
