/**
 * 
 */
package edu.cmu.radar.dynaweb.utils;

/**
 * @author Jialiang
 * 
 */
public class StringUtils {
	/**
	 * converts the string to a title case e.g ceiling height to Ceiling height
	 */
	public static String toTitleCase(String title) {
		if (title != null && title.length() > 0) {
			StringBuilder builder = new StringBuilder(title);
			
			char firstChar = builder.charAt(0);
			if (Character.isLetter(firstChar)) {
				builder.setCharAt(0, Character.toUpperCase(firstChar));
			}
			
			return builder.toString();
		} else {
			return null;
		}
	}
}
