package airspaceGUI;

import javax.swing.JFrame;
import javax.swing.JTabbedPane;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import airspaceGUI.expansion.FindWindow;


public class FindWindowManager extends JFrame
{
    private transient final JTabbedPane tabs = new JTabbedPane();

    /**
     * Default constructor
     *  Prepares this to recieve tabs
     */
    public FindWindowManager()
    {
        super();
        setTitle("Find");
        this.getContentPane().add(tabs);


        tabs.addChangeListener(new ChangeListener()
        {

            public void stateChanged(final ChangeEvent arg0) {
                FindWindowManager.this.getRootPane().setDefaultButton(
                        ((FindWindow)((JTabbedPane)arg0.getSource()).getSelectedComponent()).getDefaultButton());
            }

        });

    }

    /**
     * Adds fw to this object's tabbed panel, with the label name on the tab
     * @param fw the window top add
     * @param name the name to call the window
     */
    public void addFindWindow(final FindWindow fw, final String name) {
        if (fw != null)
        {
            tabs.add(fw, name);
        }
        this.pack();
    }

}
