package airspaceGUI.base.test;

import javax.swing.JFrame;

import junit.framework.Test;
import junit.framework.TestSuite;
import airspaceGUI.base.event.ConcreteMeetingPanel;
import airspaceGUI.model.MeetingModel;
import airspaceGUI.model.RoomModel;

public class ConcreteMeetingPanelTest extends SubPanelTest
{

    JFrame frame = new JFrame();
    
    public static Test suite() {
        TestSuite suite= new TestSuite("CorpusGUI Tests");

        //add individual test classes
        suite.addTestSuite(ConcreteMeetingPanelTest.class);
        
        return suite;
    }
    
    
    protected void setUp() throws Exception {
        super.setUp();
        if (thisPanel == null)
        {
            if(!this.getClass().equals(DataKeeper.lastClass)){
                DataKeeper.meetingModel = new MeetingModel(session);
                DataKeeper.roomModel = new RoomModel(session);
                DataKeeper.lastClass = this.getClass();    
            }
            
            thisPanel = new ConcreteMeetingPanel(session, DataKeeper.roomModel, 
                    DataKeeper.meetingModel);
            frame.getContentPane().add(thisPanel.getPane());
            frame.pack();
            
        }
        frame.setVisible(true);
    }

    protected void tearDown() throws Exception {
        super.tearDown();
        frame.setVisible(false);
        
        /*if (session.isDirty())
        {
            synchronized (session){
                session.getTransaction().rollback();
                //session.flush(); 
                session.beginTransaction();
                }
            frame.getContentPane().remove(thisPanel);
            thisPanel = null;
        }*/
    }
    
    public void testDeleteDisplayedObject(){
        thisPanel.fillInText(session);
        
        super.testDeleteDisplayedObject();
        
    }

}
