<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>

<%@ taglib prefix="s" uri="/struts-tags"%>

<s:if test="strutsToken eq null">
	<jsp:forward page="/Stever/shRooms.action" />
</s:if>

<div></div>
<table align="right" cellpadding="1" cellspacing="0"
	style="margin-left: 10px;">
	<tr>
		<td class="black_title" colspan="2">&nbsp;ROOM SPECIFICATIONS</td>
	</tr>
	<tr>
		<td colspan="2"><br />
		Stever Hall has two ground floor entry doors. Visitors will enter onto
		the first floor from Margaret Morrison St. The second floor has ground
		floor access to Tech St.</td>
	</tr>

	<tr>
		<td>
		<div style="width: 45px"></div>
		</td>
		<td><br />
		<div class="spec_div">
		<div class="spec_title">Classrooms:</div>

		<table align="left" cellspacing="0" class="spec">
			<tr>
				<th>
				<div style="width: 50px">
				</th>
				<s:iterator value="fmtCapNamesMap.classroom">
					<th><s:property /></th>
				</s:iterator>
			</tr>
			<s:iterator value="roomsMap.classroom">
				<tr>
					<td class="id_cell"><s:property value="name" /></td>
					<s:iterator value="capacities">
						<td><s:property value="capacity" escape="false" /></td>
					</s:iterator>
				</tr>
			</s:iterator>
		</table>
		</div>
		</td>
	</tr>

	<tr>
		<td colspan="2">
		<div class="spec_div"><br />
		<hr />
		</div>
		</td>
	</tr>

	<tr>
		<td>&nbsp;</td>
		<td>
		<div class="spec_div"><span class="spec_title">Conference
		Rooms:</span>(Conference configuration only)

		<table align="left" cellspacing="0" class="spec">
			<tr>
				<th>
				<div style="width: 50px">
				</th>
				<s:iterator value="fmtCapNamesMap.conference">
					<th><s:property /></th>
				</s:iterator>
			</tr>
			<s:iterator value="roomsMap.conference">
				<tr>
					<td class="id_cell"><s:property value="name" /></td>
					<s:iterator value="capacities">
						<td><s:property value="capacity" escape="false" /></td>
					</s:iterator>
				</tr>
			</s:iterator>
		</table>
		</div>
		</td>
	</tr>
	<tr>
		<td colspan="2">
		<div class="spec_div"><br />
		<hr />
		</div>
		</td>
	</tr>

	<tr>
		<td>&nbsp;</td>
		<td>
		<div class="spec_div"><span class="spec_title">Auditoriums:</span>(Theater
		configuration only)

		<table align="left" cellspacing="0" class="spec">
			<tr>
				<th>
				<div style="width: 50px">
				</th>
				<s:iterator value="fmtCapNamesMap.auditorium">
					<th><s:property /></th>
				</s:iterator>
			</tr>
			<s:iterator value="roomsMap.auditorium">
				<tr>
					<td class="id_cell"><s:property value="name" /></td>
					<s:iterator value="capacities">
						<td><s:property value="capacity" escape="false" /></td>
					</s:iterator>
				</tr>
			</s:iterator>
		</table>
		</div>
		</td>
	</tr>
	<tr>
		<td colspan="2">
		<div class="spec_div"><br />
		<hr />
		</div>
		</td>
	</tr>

	<tr>
		<td>
		<div style="width: 45px"></div>
		</td>
		<td><br />
		<div class="spec_div">
		<div class="spec_title">Reception Areas:</div>

		<table align="left" cellspacing="0" class="spec">
			<tr>
				<th>
				<div style="width: 50px">
				</th>
				<s:iterator value="fmtCapNamesMap.reception">
					<th><s:property /></th>
				</s:iterator>
			</tr>
			<s:iterator value="roomsMap.reception">
				<tr>
					<td class="id_cell"><s:property value="name" /></td>
					<s:iterator value="capacities">
						<td><s:property value="capacity" escape="false" /></td>
					</s:iterator>
				</tr>
			</s:iterator>
		</table>
		</div>
		</td>
	</tr>

	<tr>
		<td colspan="2">
		<div class="spec_div"><br />
		<hr />
		</div>
		</td>
	</tr>

	<tr>
		<td align="left" colspan="2"><b>Note:</b>
		<ul>
			<li>All Stever auditoriums and classrooms have one LCD
			projector, one podium with microphone, four network jacks, and a Dell
			Optiplex PC.</li>
			<li>All Stever auditoriums have one wireless lavalier microphone
			resident, in addition to the resources listed above.</li>
			<li>All Stever conference rooms have two network jacks.</li>
			<li>All Stever reception areas have four network jacks. The
			combined reception areas (such as III, IV) have four network jacks
			for each partition (eight in this case).</li>
			<li>All classrooms and conference rooms cost $50/hr to rent.
			Auditorium and reception rooms cost $150/hr.</li>
		</ul>
		</td>
	</tr>
</table>
