package edu.cmu.radar.dynaweb.entities;

// Generated Jun 22, 2008 12:44:51 AM by Hibernate Tools 3.1.0.beta4

/**
 * Represents a location's capacity with a given configuration, as well as min
 * and max capacities.
 * 
 * @author Robert McGuire (and Hibernate)
 * 
 */

public class LocationCapacity implements java.io.Serializable {

	// Fields

	private Integer id;
	/**
	 * The Location to which this particular LocationCapacity description
	 * belongs.
	 * 
	 */
	private Location location;
	/**
	 * The name for this locaiton configuration.
	 * 
	 */
	private String configuration;
	/**
	 * Capacity or PUD string for this location capacity for STP.
	 * 
	 */
	private String capacity;

	// Constructors

	/** default constructor */
	public LocationCapacity() {
	}

	/** full constructor */
	public LocationCapacity(Location location, String configuration,
			String capacity) {
		this.location = location;
		this.configuration = configuration;
		this.capacity = capacity;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * * The Location to which this particular LocationCapacity description
	 * belongs.
	 * 
	 */

	public Location getLocation() {
		return this.location;
	}

	public void setLocation(Location location) {
		this.location = location;
	}

	/**
	 * * The name for this locaiton configuration.
	 * 
	 */

	public String getConfiguration() {
		return this.configuration;
	}

	public void setConfiguration(String configuration) {
		this.configuration = configuration;
	}

	/**
	 * * Capacity or PUD string for this location capacity for STP.
	 * 
	 */

	public String getCapacity() {
		return this.capacity;
	}

	public void setCapacity(String capacity) {
		this.capacity = capacity;
	}

}
