-- top level --
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES(
	0,
	-1,
	'Top Level',
	'all',
	'',
	'',
	'',
	''
);

-- home page definition.  parent is the top-level "category"
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	1,
	0,
	'Home',
	'all',
	'getMainWelcome',
	'',
	'',
	''
);

-- About Page definition. parent is the top-level
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	2,
	0,
	'About&nbsp;the Conference',
	'all',
	'getStaticContent',
	'',
	'',
	''
);


-- Sponsors Page definition. parent is the top-level
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	3,
	0,
	'Sponsors',
	'all',
	'getSponsors',
	'',
	'',
	''
);

-- Schedule Page definition. parent is the top-level
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	4,
	0,
	'Schedule',
	'all',
	'getSchedule',
	'',
	'',
	''
);

-- Events Page definition. parent is the top-level
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	5,
	0,
	'Events',
	'all',
	'getEventTypes',
	'',
	'',
	''
);


-- Exhibitors Page definition. parent is the top-level
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	6,
	0,
	'Exhibitors',
	'all',
	'getStaticContent',
	'',
	'',
	''
);


-- Registration Page definition. parent is the top-level
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	7,
	0,
	'Registration',
	'all',
	'getStaticContent',
	'',
	'',
	''
);

-- Travel and Accommodation Page definition. parent is the top-level
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	8,
	0,
	'Travel&nbsp;and Accomodations',
	'all',
	'getStaticContent',
	'',
	'',
	''
);

-- Contact Info Page definition. parent is the top-level
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	9,
	0,
	'Contact Info',
	'all',
	'getContactInfo',
	'',
	'',
	''
);

-- add a page for the Campus Map link from Travel and Accommodation
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	15,
	8,
	'Campus Map',
	'all',
	'getStaticContent',
	'',
	'',
	''
);

-- add a page for the Exhibit Hall Map link from Exhibitors
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	16,
	6,
	'Exhibit Hall Map',
	'all',
	'getStaticContent',
	'',
	'',
	''
);

-- add a 'page' for Bios.  used by the Events page, since each speaker/chair
-- gets a link from it to their bio
-- this is something of an abuse of the category system!!!
INSERT INTO www.category (id, parent, caption, distribution, renderer, collapse, hidden, showname) VALUES (
	17,
	-1, -- parent (None)
	'Bio Page',
	'all',
	'getBio',
	'',
	'',
	''
);

-- make value of id [serial type] = max of id in table -> avoid conflict
select setval('www.category_id_seq',max(id)) from www.category;
