INSERT INTO www.text (id,html) VALUES(
	1, -- main page content
	 '
<p class="header">ARDRA Conference Home Page</p> 

<p class="body">Each year ARDRA hosts the ARDRA Conference, dedicated to the pursuit of technological innovation in the areas of automotive research, robotics, personal transportation, transportation safety, and intelligent infrastructure.</p> 

<p class="body">The Conference is designed to support interdisciplinary infomraiton sharing across all facts of the transportation community. Continuing education is supported via workshops and tutorials and great opportunities for impromptu learning are present and supported in the Conference''s technical track. A wide range of exhibitor and sponsors add to the mix and provide valuable networking opportunities for all attendees.</p>

<p class="body">This year''s Conference is being graciously hosted by <b>Carnegie Mellon University in Pittsburgh, PA, USA</b>.</p>

<p class="body">Enjoy the website and enjoy the conference!</p> 
	'
);

INSERT INTO www.text (id,html) VALUES(
	2,	-- about the conference
	'
<p class="header">About the ARDRA Conference</p>

<p class="body">The Conference is designed to support interdisciplinary infomraiton sharing across all facts of the transportation community. Continuing education is supported via workshops and tutorials and great opportunities for impromptu learning are present and supported in the Conference''s technical track. A wide range of exhibitor and sponsors add to the mix and provide valuable networking opportunities for all attendees.</p>

<p class="body">Last year the Conference attracted speakers from 11 countries, 71 organizations, and 7 government bodies. We hosted 24 exhibits, 6 demonstrations of novel and ground breaking technology, and 5 lively panel sessions on hot-button issues in the world of transportation. This year is shaping up to be even better with bigger and better content in every facet of the Conference.</p> 
	'
);

INSERT INTO www.text (id,html) VALUES(
	3, -- registration content
	'
<p class="header">ARDRA Conference Registration Information</p> 

<p class="body">Online Registration is now closed. Those interested may register at the conference. Current rates are non-negotiable.</p> 

<table width="75%">
	<tr>
		<td><font size="-1"><b>Status</b></font></td>
		<td><font size="-1"><b>One Day</b></font></td>
		<td><font size="-1"><b>Full Conference</b></font></td>
	</tr>
	<tr>
		<td><font size="-1">Member</font></td>
		<td><font size="-1">230</font></td>
		<td><font size="-1">425</font></td>
	</tr>
	<tr>
		<td><font size="-1">Non-Member</font></td>
		<td><font size="-1">330</font></td>
		<td><font size="-1">525</font></td>
	</tr>
</table>
	'
);

INSERT INTO www.text (id,html) VALUES(
	4, -- travel and accommodations content
	'
<p class="header">Travel and Accommodations</p> 

<p class="body"><b>To get to the ARDRA Conference:</b></p> 

<p class="body">Traveling by car from the East</p>


<ul>

<li><font size="-1">Take the Pennsylvania Turnpike West to Exit 57, Pittsburgh/Monroeville.</font></li>

<li><font size="-1">Follow Interstate 376 West to Exit 7, Edgewood/Swissvale.</font></li>

<li><font size="-1">Turn right onto Braddock Avenue (at the end of the ramp).</font></li>

<li><font size="-1">Continue to the Forbes Avenue -inter-section. (Frick Park will be on the left).</font></li>

<li><font size="-1">Turn left onto Forbes Avenue and follow Forbes Avenue approximately three miles to campus.</font></li>

<li><font size="-1">Immediately at the intersection of Forbes Avenue and Beeler Street, turn left into the parking garage on campus.</font></li>

</ul>


<p class="body">Driving from the West/North</p>


<ul>

<li><font size="-1">Take the Pennsylvania Turnpike east to Exit 28, Perry Highway.</font></li>

<li><font size="-1">Follow Interstate 79 South to 279 South (Exit 72).</font></li>

<li><font size="-1">Follow signs and go over the Fort Duquesne Bridge.</font></li>
<li><font size="-1">Take 376 East to Exit 2A, Forbes Avenue/Oakland.</font></li>

<li><font size="-1">Stay in the right-hand lanes, following Forbes 1.3 miles through the Oakland business district to campus.</font></li>

<li><font size="-1">Immediately at the intersection of Forbes Avenue and Beeler Street, turn right into 

the parking garage on campus.</font></li>

</ul>


<p class="body">Driving from the South</p>


<ul>

<li><font size="-1">Take Interstate 79 North to 279 North (Pittsburgh).</font></li>

<li><font size="-1">Follow 279 North toward Pittsburgh through the Fort Pitt Tunnel and onto the Fort Pitt Bridge.</font></li>

<li><font size="-1">Once on the bridge, stay in the far right lanes and follow signs for 376 East/Monroeville.</font></li>

<li><font size="-1">Take 376 East to Exit 2A, Forbes Avenue/Oakland.</font></li>

<li><font size="-1">Stay in the right-hand lanes, following Forbes 1.3 miles through the Oakland -business district to campus.</font></li>

<li><font size="-1">Immediately at the intersection of Forbes Avenue and Beeler Street, turn right into the parking garage on campus.</font></li>

</ul>

<p class="body"><b>Need a Place to Stay?</b></p> 

<p class="body">The official conference hotel is <a href="http://www.self.radar.cs.cmu.edu:8080/StaticWeb/Buildings/Flagstaff/home.html">The Flagstaff Hotel</a>. In addition to the hotel''s close proximity to Carnegie Mellon University, some of the conference events will be held in the hotel.</p> 

	'
);

INSERT INTO www.text(id,html) VALUES(
	5, -- campus map content
	'
<p class="header">Campus Map</p> 

<p class="body"><a href="http://design.radar.cs.cmu.edu/info/CampusMap.htm">Label key (external link)</a></p>

<p class="body"><img src="images/cmu-map3.jpg"></p> 
	'
);

INSERT INTO www.text(id,html) VALUES(
	6, -- exhibitors page content
	'
	<p class="header">Exhibitors</p>
	<p class="body">Here are the Exhibitors for the ARDRA Conference and their locations:</p>
	<p class="body"><ul class="body">
	<li>101 Maplesoft</li>
	<li>102 Inferno Graphics</li>
	<li>103 Blue Cloud Media, Ltd</li>
	<li>104 Catalyst Media of Wales</li>
	<li>105 Integrated Media, International</li>
	<li>106 Road Ripple Technologies</li>
	<li>107 Virtual Spaces</li>
	<li>108 Orchid Multimedia</li>
	<li>109 Star Systems</li>
	<li>110 Aurora Systems Analysts</li>
	<li>111 Vector Software</li>
	<li>112 Koko Delivery</li>
	<li>113 Penn Hills Transport Services</li>
	<li>114 Dormont Bus Transit Authority</li>
	
	<li>201 West Coast Data Systems</li>
	<li>202 National Organization of Transportation and Commerce</li>
	<li>203 3D Roadway Multimedia</li>
	<li>204 Danska Transport Data Analysts</li>
	<li>205 Visual Spaces Media</li>
	<li>206 Visual Light Systems Corp</li>
	
	<li>301 Pulsar Analysts</li>
	<li>302 Jamise Transportation Solutions</li>
	<li>303 KokopelliSoft</li>
	<li>304 Applied Transit Systems Incorpated</li>
	</ul></p>
	'
);

INSERT INTO www.text(id,html) VALUES(
	7, -- exhibit hall map page content
	'
	<p class="header">Exhibit Hall Map</p>
	<p class="body"><img src="images/exhibitor-1.jpg"></p>
	'
);

-- make value of id [serial type] = max of id in table -> avoid conflict
select setval('www.text_id_seq',max(id)) from www.text;
