package airspaceGUI.base.test;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * TestSuite that runs all the JUnit tests
 *
 */
public class AllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(suite());
	}

	public static Test suite() {
		TestSuite suite= new TestSuite("CorpusGUI Tests");

		//add individual test classes
        suite.addTestSuite(ConstantsTest.class);
        suite.addTestSuite(ModelsTest.class);
        suite.addTestSuite(InterfaceTest.class);
        suite.addTestSuite(NumberSpinnerWithNullTest.class);
        suite.addTestSuite(PeoplePanelTest.class);
        //suite.addTestSuite(CorpusMainPanelTest.class);
        suite.addTestSuite(CorpusMainWindowTest.class);
        suite.addTestSuite(EventPanelCmradarTest.class);
        suite.addTestSuite(EventPanelTest.class);
        suite.addTestSuite(RoomPanelTest.class);
        suite.addTestSuite(AbstractMeetingPanelTest.class);
        suite.addTestSuite(AgentPanelTest.class);
        suite.addTestSuite(GatheringPanelTest.class);
        suite.addTestSuite(MeetingPanelTest.class);
        suite.addTestSuite(ConcreteMeetingPanelTest.class);

		return suite;
	}
}
