/**
 * 
 */
package airspaceGUI.base.test;

import airspaceGUI.model.AgentModel;
import airspaceGUI.model.GatheringModel;
import airspaceGUI.model.MeetingModel;
import airspaceGUI.model.PeopleModel;
import airspaceGUI.model.RoomModel;
import airspaceGUI.model.VariableModel;

/**
 * This class is used to be able to tell when to reload the data for the tests.
 * Data should be reloaded in this class when the lastClass object doesn't match
 * the calling item's class
 * 
 * @author srbennet
 *
 */
public final class DataKeeper
{
    //the last class that put its data here
    public static Class lastClass;
    
    //the data used in the JUnit tests
    public static MeetingModel meetingModel;
    public static GatheringModel gatheringModel;
    public static PeopleModel peopleModel;
    public static RoomModel roomModel;
    public static AgentModel agentModel;
    public static VariableModel variableModel;
}
