package airspaceGUI.model;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

import org.hibernate.Session;
import org.hibernate.criterion.Order;

import edu.cmu.radar.base.Person;

public class PeopleModel extends ArrayList
{
    ArrayList peopleList = new ArrayList();
    
    public PeopleModel(Session s)
    {
        List rawPeople = s.createCriteria(Person.class).addOrder(
                Order.asc("last")).list();
        
        for(int i = 0; i < rawPeople.size(); i++)
        {
            peopleList.add(rawPeople.get(i));
        }
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#add(int, java.lang.Object)
     */
    public void add(int arg0, Object arg1) {
        peopleList.add(arg0, arg1);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#add(java.lang.Object)
     */
    public boolean add(Object arg0) {
        return peopleList.add(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#addAll(java.util.Collection)
     */
    public boolean addAll(Collection arg0) {
        return peopleList.addAll(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#addAll(int, java.util.Collection)
     */
    public boolean addAll(int arg0, Collection arg1) {
        return peopleList.addAll(arg0, arg1);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#contains(java.lang.Object)
     */
    public boolean contains(Object arg0) {
        return peopleList.contains(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.AbstractCollection#containsAll(java.util.Collection)
     */
    public boolean containsAll(Collection arg0) {
        return peopleList.containsAll(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#get(int)
     */
    public Object get(int arg0) {
        return peopleList.get(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#indexOf(java.lang.Object)
     */
    public int indexOf(Object arg0) {
        return peopleList.indexOf(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#isEmpty()
     */
    public boolean isEmpty() {
        return peopleList.isEmpty();
    }

    /* (non-Javadoc)
     * @see java.util.AbstractList#iterator()
     */
    public Iterator iterator() {
        /*System.out.println("They want an iterator");
        System.out.println(peopleList.iterator());*/
        return peopleList.iterator();
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#remove(int)
     */
    public Object remove(int arg0) {
        return peopleList.remove(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#remove(java.lang.Object)
     */
    public boolean remove(Object arg0) {
        return peopleList.remove(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#set(int, java.lang.Object)
     */
    public Object set(int arg0, Object arg1) {
        return peopleList.set(arg0, arg1);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#size()
     */
    public int size() {
        return peopleList.size();
    }

}
