package airspaceGUI.model;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

import org.hibernate.Session;
import org.hibernate.criterion.Order;

import edu.cmu.radar.base.Location;

public class RoomModel extends ArrayList
{
    ArrayList roomsList = new ArrayList();

    public RoomModel(Session s)
    {
        List rawRooms = s.createCriteria(Location.class).addOrder(
                Order.asc("caption")).list();;
        
        for(int i = 0; i < rawRooms.size(); i++)
        {
            roomsList.add(rawRooms.get(i));
        }
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#add(int, java.lang.Object)
     */
    public void add(int arg0, Object arg1) {
        roomsList.add(arg0, arg1);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#add(java.lang.Object)
     */
    public boolean add(Object arg0) {
        return roomsList.add(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#addAll(java.util.Collection)
     */
    public boolean addAll(Collection arg0) {
        return roomsList.addAll(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#clear()
     */
    public void clear() {
        roomsList.clear();
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#contains(java.lang.Object)
     */
    public boolean contains(Object arg0) {
        return roomsList.contains(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#get(int)
     */
    public Object get(int arg0) {
        return roomsList.get(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#indexOf(java.lang.Object)
     */
    public int indexOf(Object arg0) {
        return roomsList.indexOf(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#isEmpty()
     */
    public boolean isEmpty() {
        return roomsList.isEmpty();
    }

    /* (non-Javadoc)
     * @see java.util.AbstractList#iterator()
     */
    public Iterator iterator() {
       /* System.out.println("Iterating rooms");
        System.out.println(roomsList.iterator());*/
        return roomsList.iterator();
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#remove(int)
     */
    public Object remove(int arg0) {
        return roomsList.remove(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#remove(java.lang.Object)
     */
    public boolean remove(Object arg0) {
        return roomsList.remove(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#set(int, java.lang.Object)
     */
    public Object set(int arg0, Object arg1) {
        return roomsList.set(arg0, arg1);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#size()
     */
    public int size() {
        return roomsList.size();
    }
    
}
